Bug 15731 - C4::Reports::Guided::build_authorised_value_list is not used
Summary: C4::Reports::Guided::build_authorised_value_list is not used
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 15758
  Show dependency treegraph
 
Reported: 2016-02-03 16:04 UTC by Jonathan Druart
Modified: 2017-06-14 22:11 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15731: Remove C4::Reports::Guided::build_authorised_value_list (4.08 KB, patch)
2016-02-03 16:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15731: Remove C4::Reports::Guided::build_authorised_value_list (4.17 KB, patch)
2016-02-04 14:47 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15731: Remove C4::Reports::Guided::build_authorised_value_list (4.25 KB, patch)
2016-02-05 09:57 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-02-03 16:04:57 UTC
...and can be removed
Comment 1 Jonathan Druart 2016-02-03 16:06:50 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-02-04 14:47:43 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2016-02-05 09:57:46 UTC
Created attachment 47683 [details] [review]
Bug 15731: Remove C4::Reports::Guided::build_authorised_value_list

This subroutine has been added by
  commit 42acfbf75b7bb4ee53c6a6f035e258a0b522ce10
  Bug 7993: Save reports with Group/Subgroup hierarchy

But it has never been used (or git grep cheats me).

Test plan:
1/ git grep build_authorised_value_list
should not return any result
2/ Create a report, execute it
Everything should work fine.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Brendan Gallagher 2016-02-24 03:50:23 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!  (I love seeing the truncating of these scripts)  Keep em coming...